"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Dropdown = void 0;

var _react = _interopRequireWildcard(require("react"));

var _reactOutsideClickHandler = _interopRequireDefault(require("react-outside-click-handler"));

var _propTypes = _interopRequireDefault(require("prop-types"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

var Dropdown = function Dropdown(_ref) {
  var className = _ref.className,
      children = _ref.children,
      title = _ref.title,
      isOpen = _ref.isOpen,
      toggle = _ref.toggle;
  Dropdown.propTypes = {
    className: _propTypes["default"].string,
    title: _propTypes["default"].string,
    isOpen: _propTypes["default"].bool.isRequired,
    toggle: _propTypes["default"].func.isRequired
  };
  Dropdown.defaultProps = {
    className: '',
    title: "Select"
  };

  var onOutsideClick = function onOutsideClick() {
    if (isOpen === true) {
      toggle(false);
    }
  };

  var dropdownContent = isOpen === true ? "tdb__dropdown__content  tdb__dropdown__content--show" : "tdb__dropdown__content tdb__dropdown__content--hide";
  return /*#__PURE__*/_react["default"].createElement(_reactOutsideClickHandler["default"], {
    onOutsideClick: onOutsideClick
  }, /*#__PURE__*/_react["default"].createElement("div", {
    className: "tdb__dropdown"
  }, /*#__PURE__*/_react["default"].createElement("button", {
    className: "tdb__dropdown__button tdb__dropdown__button--top ".concat(className),
    onClick: toggle
  }, /*#__PURE__*/_react["default"].createElement("span", {
    className: "tdb__dropdown__title"
  }, title), /*#__PURE__*/_react["default"].createElement("i", {
    className: "fa fa-caret-down"
  })), /*#__PURE__*/_react["default"].createElement("div", {
    className: dropdownContent
  }, children)));
};

exports.Dropdown = Dropdown;